---
title: Delete a subscription
slug: api/delete-a-subscription
docTags: 
createdAt: 2026-08-27T03:37:36.255Z
---

{
  "id": "XPucwn-n5GKAqhwRKMHAm",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId}",
    "servers": [
      {
        "url": "https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId}",
        "description": "Sandbox URL"
      },
      {
        "url": "https://api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId}",
        "description": "Production URL"
      }
    ],
    "name": "Delete a subscription",
    "description": "Deletes an existing webhook subscription.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "subscriptionId",
          "type": "string",
          "example": "3f2504e0-4f89-11d3-9a0c-0305e82c3301",
          "description": "<p><strong>Required.</strong> Monoova generated Guid that uniquely identifies the subscription. Returned in the <code>subscriptionId</code> field of the response to <code>POST /Subscription</code>, and listed by <code>GET /Subscription</code>. Accepted with or without enclosing braces.</p>",
          "default": "3f2504e0-4f89-11d3-9a0c-0305e82c3301",
          "pattern": "^[{]?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}[}]?$"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "BearerAuth",
          "name": "BearerAuth",
          "kind": "optional",
          "type": "http",
          "description": "<p><strong>Required.</strong> Bearer JWT issued by Monoova. Send it on every request as <code>Authorization: Bearer &#x3C;token></code>.</p>\n<p>Pattern: ^[A-Za-z0-9-<em>]+.[A-Za-z0-9-</em>]+.[A-Za-z0-9-_]+$</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "SubscriptionDeleteResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Unique id for logging, generated by Monoova for this request. Quote this value when raising a support ticket so the request can be traced end to end.</p>",
                "example": "0HN7GKQ2E9V3J:00000001",
                "default": "0HN7GKQ2E9V3J:00000001",
                "pattern": "^[-\\w:.]{1,128}$"
              }
            ],
            "modelRef": "#/components/schemas/SubscriptionDeleteResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Unique id for logging, generated by Monoova for this request. Quote this value when raising a support ticket so the request can be traced end to end.</p>",
                "example": "0HN7GKQ2E9V3J:00000001",
                "default": "0HN7GKQ2E9V3J:00000001",
                "pattern": "^[-\\w:.]{1,128}$"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Collection of the individual errors that caused the request to fail. Returned as <code>null</code> when the request succeeded.</p>\n<p>Pattern: Each item must satisfy <code>^NOS_[A-Z_]+$</code> on its <code>errorCode</code> field.</p>",
                "modelRef": "#/components/schemas/ErrorDto",
                "customType": "ErrorDto[]",
                "schema": [
                  {
                    "name": "errorCode",
                    "kind": "optional",
                    "type": "string<NOS_REQ_BODY_INVALID | NOS_VALIDATION_ERROR | NOS_ACCTID_REQUIRED | NOS_TRACEID_REQUIRED | NOS_HEADER_REQUIRED | NOS_REQUEST_EMPTY | NOS_SUBID_REQUIRED | NOS_SUBID_INVALID | NOS_SUBNAME_REQUIRED | NOS_SUBNAME_INVALID | NOS_ISACTIVE_REQUIRED | NOS_EVTID_REQUIRED | NOS_EVTNAME_REQUIRED | NOS_EVTNAME_DISABLED | NOS_EVTNAME_INVALID | NOS_AUTHORIZATIONTYPE_INVALID | NOS_WEBDTL_REQUIRED | NOS_URL_REQUIRED | NOS_URL_INVALID | NOS_SECURITYTOKEN_INVALID | NOS_EML_REQUIRED | NOS_EML_INVALID | NOS_EML_LIST_SIZE | NOS_STS_INVALID | NOS_PGSIZ_INVALID | NOS_PGNUM_INVALID | NOS_STARTDATE_INVALID | NOS_ENDDATE_INVALID | NOS_DATERANGE_INVALID | NOS_DATERANGE_SIZE | NOS_EVENT_NOT_FOUND_ERROR | NOS_SUB_NOT_FOUND_ERROR | NOS_DUP_SUB_CRT_ERROR | NOS_DUP_SUB_UPD_ERROR | NOS_DEL_SUB_ERROR | NOS_UPD_SUB_ERROR | NOS_UNEXPECTED_ERROR | NOS_RETRY_NEEDED_ERROR | NOS_MESSAGING_FAILURE_ERROR | NOS_FX_PAYLOAD_REQUIRED | NOS_FX_PAYLOAD_INVALID | NOS_FX_PAYLOAD_SIGNATURE_ERROR | NOS_FX_SIGNATURE_REQUIRED | NOS_FX_PAYLOAD_CUSTOMERID_ERROR | NOS_KYB_FUNCTION_REQUIRED | NOS_KYB_CLIENTID_REQUIRED | NOS_KYB_FUNCTION_INVALID | NOS_KYB_PAYLOAD_INVALID>",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> Monoova error code identifying the specific validation or processing failure. Present only in error responses.</p>",
                    "example": "NOS_VALIDATION_ERROR",
                    "default": "NOS_VALIDATION_ERROR",
                    "enum": [
                      "NOS_REQ_BODY_INVALID",
                      "NOS_VALIDATION_ERROR",
                      "NOS_ACCTID_REQUIRED",
                      "NOS_TRACEID_REQUIRED",
                      "NOS_HEADER_REQUIRED",
                      "NOS_REQUEST_EMPTY",
                      "NOS_SUBID_REQUIRED",
                      "NOS_SUBID_INVALID",
                      "NOS_SUBNAME_REQUIRED",
                      "NOS_SUBNAME_INVALID",
                      "NOS_ISACTIVE_REQUIRED",
                      "NOS_EVTID_REQUIRED",
                      "NOS_EVTNAME_REQUIRED",
                      "NOS_EVTNAME_DISABLED",
                      "NOS_EVTNAME_INVALID",
                      "NOS_AUTHORIZATIONTYPE_INVALID",
                      "NOS_WEBDTL_REQUIRED",
                      "NOS_URL_REQUIRED",
                      "NOS_URL_INVALID",
                      "NOS_SECURITYTOKEN_INVALID",
                      "NOS_EML_REQUIRED",
                      "NOS_EML_INVALID",
                      "NOS_EML_LIST_SIZE",
                      "NOS_STS_INVALID",
                      "NOS_PGSIZ_INVALID",
                      "NOS_PGNUM_INVALID",
                      "NOS_STARTDATE_INVALID",
                      "NOS_ENDDATE_INVALID",
                      "NOS_DATERANGE_INVALID",
                      "NOS_DATERANGE_SIZE",
                      "NOS_EVENT_NOT_FOUND_ERROR",
                      "NOS_SUB_NOT_FOUND_ERROR",
                      "NOS_DUP_SUB_CRT_ERROR",
                      "NOS_DUP_SUB_UPD_ERROR",
                      "NOS_DEL_SUB_ERROR",
                      "NOS_UPD_SUB_ERROR",
                      "NOS_UNEXPECTED_ERROR",
                      "NOS_RETRY_NEEDED_ERROR",
                      "NOS_MESSAGING_FAILURE_ERROR",
                      "NOS_FX_PAYLOAD_REQUIRED",
                      "NOS_FX_PAYLOAD_INVALID",
                      "NOS_FX_PAYLOAD_SIGNATURE_ERROR",
                      "NOS_FX_SIGNATURE_REQUIRED",
                      "NOS_FX_PAYLOAD_CUSTOMERID_ERROR",
                      "NOS_KYB_FUNCTION_REQUIRED",
                      "NOS_KYB_CLIENTID_REQUIRED",
                      "NOS_KYB_FUNCTION_INVALID",
                      "NOS_KYB_PAYLOAD_INVALID"
                    ],
                    "pattern": "^NOS_[A-Z_]+$"
                  },
                  {
                    "name": "errorMessage",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> More detailed description of the specific error which may include information from the specific request.</p>",
                    "example": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "default": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "pattern": "^.{1,1000}$"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Unique id for logging, generated by Monoova for this request. Quote this value when raising a support ticket so the request can be traced end to end.</p>",
                "example": "0HN7GKQ2E9V3J:00000001",
                "default": "0HN7GKQ2E9V3J:00000001",
                "pattern": "^[-\\w:.]{1,128}$"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Collection of the individual errors that caused the request to fail. Returned as <code>null</code> when the request succeeded.</p>\n<p>Pattern: Each item must satisfy <code>^NOS_[A-Z_]+$</code> on its <code>errorCode</code> field.</p>",
                "modelRef": "#/components/schemas/ErrorDto",
                "customType": "ErrorDto[]",
                "schema": [
                  {
                    "name": "errorCode",
                    "kind": "optional",
                    "type": "string<NOS_REQ_BODY_INVALID | NOS_VALIDATION_ERROR | NOS_ACCTID_REQUIRED | NOS_TRACEID_REQUIRED | NOS_HEADER_REQUIRED | NOS_REQUEST_EMPTY | NOS_SUBID_REQUIRED | NOS_SUBID_INVALID | NOS_SUBNAME_REQUIRED | NOS_SUBNAME_INVALID | NOS_ISACTIVE_REQUIRED | NOS_EVTID_REQUIRED | NOS_EVTNAME_REQUIRED | NOS_EVTNAME_DISABLED | NOS_EVTNAME_INVALID | NOS_AUTHORIZATIONTYPE_INVALID | NOS_WEBDTL_REQUIRED | NOS_URL_REQUIRED | NOS_URL_INVALID | NOS_SECURITYTOKEN_INVALID | NOS_EML_REQUIRED | NOS_EML_INVALID | NOS_EML_LIST_SIZE | NOS_STS_INVALID | NOS_PGSIZ_INVALID | NOS_PGNUM_INVALID | NOS_STARTDATE_INVALID | NOS_ENDDATE_INVALID | NOS_DATERANGE_INVALID | NOS_DATERANGE_SIZE | NOS_EVENT_NOT_FOUND_ERROR | NOS_SUB_NOT_FOUND_ERROR | NOS_DUP_SUB_CRT_ERROR | NOS_DUP_SUB_UPD_ERROR | NOS_DEL_SUB_ERROR | NOS_UPD_SUB_ERROR | NOS_UNEXPECTED_ERROR | NOS_RETRY_NEEDED_ERROR | NOS_MESSAGING_FAILURE_ERROR | NOS_FX_PAYLOAD_REQUIRED | NOS_FX_PAYLOAD_INVALID | NOS_FX_PAYLOAD_SIGNATURE_ERROR | NOS_FX_SIGNATURE_REQUIRED | NOS_FX_PAYLOAD_CUSTOMERID_ERROR | NOS_KYB_FUNCTION_REQUIRED | NOS_KYB_CLIENTID_REQUIRED | NOS_KYB_FUNCTION_INVALID | NOS_KYB_PAYLOAD_INVALID>",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> Monoova error code identifying the specific validation or processing failure. Present only in error responses.</p>",
                    "example": "NOS_VALIDATION_ERROR",
                    "default": "NOS_VALIDATION_ERROR",
                    "enum": [
                      "NOS_REQ_BODY_INVALID",
                      "NOS_VALIDATION_ERROR",
                      "NOS_ACCTID_REQUIRED",
                      "NOS_TRACEID_REQUIRED",
                      "NOS_HEADER_REQUIRED",
                      "NOS_REQUEST_EMPTY",
                      "NOS_SUBID_REQUIRED",
                      "NOS_SUBID_INVALID",
                      "NOS_SUBNAME_REQUIRED",
                      "NOS_SUBNAME_INVALID",
                      "NOS_ISACTIVE_REQUIRED",
                      "NOS_EVTID_REQUIRED",
                      "NOS_EVTNAME_REQUIRED",
                      "NOS_EVTNAME_DISABLED",
                      "NOS_EVTNAME_INVALID",
                      "NOS_AUTHORIZATIONTYPE_INVALID",
                      "NOS_WEBDTL_REQUIRED",
                      "NOS_URL_REQUIRED",
                      "NOS_URL_INVALID",
                      "NOS_SECURITYTOKEN_INVALID",
                      "NOS_EML_REQUIRED",
                      "NOS_EML_INVALID",
                      "NOS_EML_LIST_SIZE",
                      "NOS_STS_INVALID",
                      "NOS_PGSIZ_INVALID",
                      "NOS_PGNUM_INVALID",
                      "NOS_STARTDATE_INVALID",
                      "NOS_ENDDATE_INVALID",
                      "NOS_DATERANGE_INVALID",
                      "NOS_DATERANGE_SIZE",
                      "NOS_EVENT_NOT_FOUND_ERROR",
                      "NOS_SUB_NOT_FOUND_ERROR",
                      "NOS_DUP_SUB_CRT_ERROR",
                      "NOS_DUP_SUB_UPD_ERROR",
                      "NOS_DEL_SUB_ERROR",
                      "NOS_UPD_SUB_ERROR",
                      "NOS_UNEXPECTED_ERROR",
                      "NOS_RETRY_NEEDED_ERROR",
                      "NOS_MESSAGING_FAILURE_ERROR",
                      "NOS_FX_PAYLOAD_REQUIRED",
                      "NOS_FX_PAYLOAD_INVALID",
                      "NOS_FX_PAYLOAD_SIGNATURE_ERROR",
                      "NOS_FX_SIGNATURE_REQUIRED",
                      "NOS_FX_PAYLOAD_CUSTOMERID_ERROR",
                      "NOS_KYB_FUNCTION_REQUIRED",
                      "NOS_KYB_CLIENTID_REQUIRED",
                      "NOS_KYB_FUNCTION_INVALID",
                      "NOS_KYB_PAYLOAD_INVALID"
                    ],
                    "pattern": "^NOS_[A-Z_]+$"
                  },
                  {
                    "name": "errorMessage",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> More detailed description of the specific error which may include information from the specific request.</p>",
                    "example": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "default": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "pattern": "^.{1,1000}$"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Unique id for logging, generated by Monoova for this request. Quote this value when raising a support ticket so the request can be traced end to end.</p>",
                "example": "0HN7GKQ2E9V3J:00000001",
                "default": "0HN7GKQ2E9V3J:00000001",
                "pattern": "^[-\\w:.]{1,128}$"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Collection of the individual errors that caused the request to fail. Returned as <code>null</code> when the request succeeded.</p>\n<p>Pattern: Each item must satisfy <code>^NOS_[A-Z_]+$</code> on its <code>errorCode</code> field.</p>",
                "modelRef": "#/components/schemas/ErrorDto",
                "customType": "ErrorDto[]",
                "schema": [
                  {
                    "name": "errorCode",
                    "kind": "optional",
                    "type": "string<NOS_REQ_BODY_INVALID | NOS_VALIDATION_ERROR | NOS_ACCTID_REQUIRED | NOS_TRACEID_REQUIRED | NOS_HEADER_REQUIRED | NOS_REQUEST_EMPTY | NOS_SUBID_REQUIRED | NOS_SUBID_INVALID | NOS_SUBNAME_REQUIRED | NOS_SUBNAME_INVALID | NOS_ISACTIVE_REQUIRED | NOS_EVTID_REQUIRED | NOS_EVTNAME_REQUIRED | NOS_EVTNAME_DISABLED | NOS_EVTNAME_INVALID | NOS_AUTHORIZATIONTYPE_INVALID | NOS_WEBDTL_REQUIRED | NOS_URL_REQUIRED | NOS_URL_INVALID | NOS_SECURITYTOKEN_INVALID | NOS_EML_REQUIRED | NOS_EML_INVALID | NOS_EML_LIST_SIZE | NOS_STS_INVALID | NOS_PGSIZ_INVALID | NOS_PGNUM_INVALID | NOS_STARTDATE_INVALID | NOS_ENDDATE_INVALID | NOS_DATERANGE_INVALID | NOS_DATERANGE_SIZE | NOS_EVENT_NOT_FOUND_ERROR | NOS_SUB_NOT_FOUND_ERROR | NOS_DUP_SUB_CRT_ERROR | NOS_DUP_SUB_UPD_ERROR | NOS_DEL_SUB_ERROR | NOS_UPD_SUB_ERROR | NOS_UNEXPECTED_ERROR | NOS_RETRY_NEEDED_ERROR | NOS_MESSAGING_FAILURE_ERROR | NOS_FX_PAYLOAD_REQUIRED | NOS_FX_PAYLOAD_INVALID | NOS_FX_PAYLOAD_SIGNATURE_ERROR | NOS_FX_SIGNATURE_REQUIRED | NOS_FX_PAYLOAD_CUSTOMERID_ERROR | NOS_KYB_FUNCTION_REQUIRED | NOS_KYB_CLIENTID_REQUIRED | NOS_KYB_FUNCTION_INVALID | NOS_KYB_PAYLOAD_INVALID>",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> Monoova error code identifying the specific validation or processing failure. Present only in error responses.</p>",
                    "example": "NOS_VALIDATION_ERROR",
                    "default": "NOS_VALIDATION_ERROR",
                    "enum": [
                      "NOS_REQ_BODY_INVALID",
                      "NOS_VALIDATION_ERROR",
                      "NOS_ACCTID_REQUIRED",
                      "NOS_TRACEID_REQUIRED",
                      "NOS_HEADER_REQUIRED",
                      "NOS_REQUEST_EMPTY",
                      "NOS_SUBID_REQUIRED",
                      "NOS_SUBID_INVALID",
                      "NOS_SUBNAME_REQUIRED",
                      "NOS_SUBNAME_INVALID",
                      "NOS_ISACTIVE_REQUIRED",
                      "NOS_EVTID_REQUIRED",
                      "NOS_EVTNAME_REQUIRED",
                      "NOS_EVTNAME_DISABLED",
                      "NOS_EVTNAME_INVALID",
                      "NOS_AUTHORIZATIONTYPE_INVALID",
                      "NOS_WEBDTL_REQUIRED",
                      "NOS_URL_REQUIRED",
                      "NOS_URL_INVALID",
                      "NOS_SECURITYTOKEN_INVALID",
                      "NOS_EML_REQUIRED",
                      "NOS_EML_INVALID",
                      "NOS_EML_LIST_SIZE",
                      "NOS_STS_INVALID",
                      "NOS_PGSIZ_INVALID",
                      "NOS_PGNUM_INVALID",
                      "NOS_STARTDATE_INVALID",
                      "NOS_ENDDATE_INVALID",
                      "NOS_DATERANGE_INVALID",
                      "NOS_DATERANGE_SIZE",
                      "NOS_EVENT_NOT_FOUND_ERROR",
                      "NOS_SUB_NOT_FOUND_ERROR",
                      "NOS_DUP_SUB_CRT_ERROR",
                      "NOS_DUP_SUB_UPD_ERROR",
                      "NOS_DEL_SUB_ERROR",
                      "NOS_UPD_SUB_ERROR",
                      "NOS_UNEXPECTED_ERROR",
                      "NOS_RETRY_NEEDED_ERROR",
                      "NOS_MESSAGING_FAILURE_ERROR",
                      "NOS_FX_PAYLOAD_REQUIRED",
                      "NOS_FX_PAYLOAD_INVALID",
                      "NOS_FX_PAYLOAD_SIGNATURE_ERROR",
                      "NOS_FX_SIGNATURE_REQUIRED",
                      "NOS_FX_PAYLOAD_CUSTOMERID_ERROR",
                      "NOS_KYB_FUNCTION_REQUIRED",
                      "NOS_KYB_CLIENTID_REQUIRED",
                      "NOS_KYB_FUNCTION_INVALID",
                      "NOS_KYB_PAYLOAD_INVALID"
                    ],
                    "pattern": "^NOS_[A-Z_]+$"
                  },
                  {
                    "name": "errorMessage",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> More detailed description of the specific error which may include information from the specific request.</p>",
                    "example": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "default": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "pattern": "^.{1,1000}$"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "traceId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Unique id for logging, generated by Monoova for this request. Quote this value when raising a support ticket so the request can be traced end to end.</p>",
                "example": "0HN7GKQ2E9V3J:00000001",
                "default": "0HN7GKQ2E9V3J:00000001",
                "pattern": "^[-\\w:.]{1,128}$"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "<p><strong>Optional.</strong> Collection of the individual errors that caused the request to fail. Returned as <code>null</code> when the request succeeded.</p>\n<p>Pattern: Each item must satisfy <code>^NOS_[A-Z_]+$</code> on its <code>errorCode</code> field.</p>",
                "modelRef": "#/components/schemas/ErrorDto",
                "customType": "ErrorDto[]",
                "schema": [
                  {
                    "name": "errorCode",
                    "kind": "optional",
                    "type": "string<NOS_REQ_BODY_INVALID | NOS_VALIDATION_ERROR | NOS_ACCTID_REQUIRED | NOS_TRACEID_REQUIRED | NOS_HEADER_REQUIRED | NOS_REQUEST_EMPTY | NOS_SUBID_REQUIRED | NOS_SUBID_INVALID | NOS_SUBNAME_REQUIRED | NOS_SUBNAME_INVALID | NOS_ISACTIVE_REQUIRED | NOS_EVTID_REQUIRED | NOS_EVTNAME_REQUIRED | NOS_EVTNAME_DISABLED | NOS_EVTNAME_INVALID | NOS_AUTHORIZATIONTYPE_INVALID | NOS_WEBDTL_REQUIRED | NOS_URL_REQUIRED | NOS_URL_INVALID | NOS_SECURITYTOKEN_INVALID | NOS_EML_REQUIRED | NOS_EML_INVALID | NOS_EML_LIST_SIZE | NOS_STS_INVALID | NOS_PGSIZ_INVALID | NOS_PGNUM_INVALID | NOS_STARTDATE_INVALID | NOS_ENDDATE_INVALID | NOS_DATERANGE_INVALID | NOS_DATERANGE_SIZE | NOS_EVENT_NOT_FOUND_ERROR | NOS_SUB_NOT_FOUND_ERROR | NOS_DUP_SUB_CRT_ERROR | NOS_DUP_SUB_UPD_ERROR | NOS_DEL_SUB_ERROR | NOS_UPD_SUB_ERROR | NOS_UNEXPECTED_ERROR | NOS_RETRY_NEEDED_ERROR | NOS_MESSAGING_FAILURE_ERROR | NOS_FX_PAYLOAD_REQUIRED | NOS_FX_PAYLOAD_INVALID | NOS_FX_PAYLOAD_SIGNATURE_ERROR | NOS_FX_SIGNATURE_REQUIRED | NOS_FX_PAYLOAD_CUSTOMERID_ERROR | NOS_KYB_FUNCTION_REQUIRED | NOS_KYB_CLIENTID_REQUIRED | NOS_KYB_FUNCTION_INVALID | NOS_KYB_PAYLOAD_INVALID>",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> Monoova error code identifying the specific validation or processing failure. Present only in error responses.</p>",
                    "example": "NOS_VALIDATION_ERROR",
                    "default": "NOS_VALIDATION_ERROR",
                    "enum": [
                      "NOS_REQ_BODY_INVALID",
                      "NOS_VALIDATION_ERROR",
                      "NOS_ACCTID_REQUIRED",
                      "NOS_TRACEID_REQUIRED",
                      "NOS_HEADER_REQUIRED",
                      "NOS_REQUEST_EMPTY",
                      "NOS_SUBID_REQUIRED",
                      "NOS_SUBID_INVALID",
                      "NOS_SUBNAME_REQUIRED",
                      "NOS_SUBNAME_INVALID",
                      "NOS_ISACTIVE_REQUIRED",
                      "NOS_EVTID_REQUIRED",
                      "NOS_EVTNAME_REQUIRED",
                      "NOS_EVTNAME_DISABLED",
                      "NOS_EVTNAME_INVALID",
                      "NOS_AUTHORIZATIONTYPE_INVALID",
                      "NOS_WEBDTL_REQUIRED",
                      "NOS_URL_REQUIRED",
                      "NOS_URL_INVALID",
                      "NOS_SECURITYTOKEN_INVALID",
                      "NOS_EML_REQUIRED",
                      "NOS_EML_INVALID",
                      "NOS_EML_LIST_SIZE",
                      "NOS_STS_INVALID",
                      "NOS_PGSIZ_INVALID",
                      "NOS_PGNUM_INVALID",
                      "NOS_STARTDATE_INVALID",
                      "NOS_ENDDATE_INVALID",
                      "NOS_DATERANGE_INVALID",
                      "NOS_DATERANGE_SIZE",
                      "NOS_EVENT_NOT_FOUND_ERROR",
                      "NOS_SUB_NOT_FOUND_ERROR",
                      "NOS_DUP_SUB_CRT_ERROR",
                      "NOS_DUP_SUB_UPD_ERROR",
                      "NOS_DEL_SUB_ERROR",
                      "NOS_UPD_SUB_ERROR",
                      "NOS_UNEXPECTED_ERROR",
                      "NOS_RETRY_NEEDED_ERROR",
                      "NOS_MESSAGING_FAILURE_ERROR",
                      "NOS_FX_PAYLOAD_REQUIRED",
                      "NOS_FX_PAYLOAD_INVALID",
                      "NOS_FX_PAYLOAD_SIGNATURE_ERROR",
                      "NOS_FX_SIGNATURE_REQUIRED",
                      "NOS_FX_PAYLOAD_CUSTOMERID_ERROR",
                      "NOS_KYB_FUNCTION_REQUIRED",
                      "NOS_KYB_CLIENTID_REQUIRED",
                      "NOS_KYB_FUNCTION_INVALID",
                      "NOS_KYB_PAYLOAD_INVALID"
                    ],
                    "pattern": "^NOS_[A-Z_]+$"
                  },
                  {
                    "name": "errorMessage",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "<p><strong>Optional.</strong> More detailed description of the specific error which may include information from the specific request.</p>",
                    "example": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "default": "subscriptionName must match the pattern ^[-\\w]{1,36}$.",
                    "pattern": "^.{1,1000}$"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal Server Error",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "yxZYKQT7kegn2Sah7F-Ud",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "5Sin776Cwl1ZbkcD7r-tA",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "9r4EPFmCHU7l9N6JK2EoM",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Ntldcz2v377-BzMmkcDix",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://sand-api.monoova.com/au/core/notification-v1/Subscription/{subscriptionId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "yxZYKQT7kegn2Sah7F-Ud"
    },
    "results": {
      "languages": [
        {
          "id": "PiFe5hkgfT8RPmakPnnSB",
          "language": "200",
          "code": "// OK\n{\n  \"traceId\": \"0HN7GKQ2E9V3J:00000001\"\n}"
        },
        {
          "id": "xSUORMeH6IFe53Ehpo1w4",
          "language": "400",
          "code": "// Bad Request\n{\n  \"traceId\": \"0HN7GKQ2E9V3J:00000001\",\n  \"errors\": [\n    {\n      \"errorCode\": \"NOS_VALIDATION_ERROR\",\n      \"errorMessage\": \"subscriptionName must match the pattern ^[-\\\\w]{1,36}$.\"\n    }\n  ]\n}"
        },
        {
          "id": "1o6DMjPArM2Xl4jVjxC91",
          "language": "401",
          "code": "// Unauthorized\n{\n  \"traceId\": \"0HN7GKQ2E9V3J:00000001\",\n  \"errors\": [\n    {\n      \"errorCode\": \"NOS_VALIDATION_ERROR\",\n      \"errorMessage\": \"subscriptionName must match the pattern ^[-\\\\w]{1,36}$.\"\n    }\n  ]\n}"
        },
        {
          "id": "08BDHC-_C3GkZ9-e7bY5v",
          "language": "403",
          "code": "// Forbidden\n{\n  \"traceId\": \"0HN7GKQ2E9V3J:00000001\",\n  \"errors\": [\n    {\n      \"errorCode\": \"NOS_VALIDATION_ERROR\",\n      \"errorMessage\": \"subscriptionName must match the pattern ^[-\\\\w]{1,36}$.\"\n    }\n  ]\n}"
        },
        {
          "id": "QZvZlt3_a72QIxeCgdPTL",
          "language": "404",
          "code": "// Not Found\n{\n  \"traceId\": \"0HN7GKQ2E9V3J:00000001\",\n  \"errors\": [\n    {\n      \"errorCode\": \"NOS_VALIDATION_ERROR\",\n      \"errorMessage\": \"subscriptionName must match the pattern ^[-\\\\w]{1,36}$.\"\n    }\n  ]\n}"
        },
        {
          "id": "bqNd37v7PlyZkzhGcth6y",
          "language": "500",
          "code": "// Internal Server Error\n"
        }
      ],
      "selectedLanguageId": "PiFe5hkgfT8RPmakPnnSB"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}